Mono Works

チラシのすきま

メモ:RecyclerViewとの出会いは忘れられない思い出に

そもそもは、ListViewについて調べていたんですが、流れでRecyclerViewにまで手を出してしまいました。とりあえずサンプルをポチポチしていると、RecyclerViewクラスを利用するためにサポートライブラリ v7を参照できるようBuild.gradleのdependencies部分に下記の4行目を追加しました。

dependencies {
  compile fileTree(include: ['*.jar'], dir: 'libs')
  compile 'com.android.support:appcompat-v7:22.2.1'
  compile 'com.android.support:recycleview-v7:22.2.1'
}

しかし、これでビルドしようとしても、こんなエラーが出て先に進みません。

Error:A problem occurred configuring project ':app'.
> Could not resolve all dependencies for configuration ':app:_debugCompile'.
   > Could not find any matches for com.android.support:recycleview-v7:+ as no versions of com.android.support:recycleview-v7 are available.
     Searched in the following locations:
         https://jcenter.bintray.com/com/android/support/recycleview-v7/maven-metadata.xml
         https://jcenter.bintray.com/com/android/support/recycleview-v7/
         file:/C:/Users/ <中略>

     Required by:
         AnbayasiRoulette:app:unspecified

まずは、必要なツールやサポートライブラリがないかどうか、SDK Managerを確認しましたが、問題なさそうです。念のため、最新のものまで更新もしてみましたが変化なし。

その後も、いろいろ調べて、いくつかの対処方法も試してみましたが、変化なし。ここまで2時間ほどかかりました。

で、もう一度リファレンスを見直していると脱字に気付きましたぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁぁ!

正しくはこちら。

dependencies {
  compile fileTree(include: ['*.jar'], dir: 'libs')
  compile 'com.android.support:appcompat-v7:22.2.1'
  compile 'com.android.support:recyclerview-v7:22.2.1'
}

そうです。てっきり「りさいくるびゅー」だと思ってましたが、「りさいくらーびゅー」だったのです。(正しい読み方は知りませんが…)

といわけで、今回のタイトルの有り様です。まったく技術的な話ではなくて、すいませんでした。以後、綴りには気を付けたいと思います。はい。

【参考サイト】

Creating Lists and Cards | Android Developers

comments powered by Disqus
Googleブログ検索
Amazon検索
執筆者
"ぽぽろんち" @pporoch
pporoch120
Mono Worksの中の人。DQX内では "ぬここ" の中の人もやってます。好きなことをつらつらと書き留めてます。
"DQX@ぬここ(UD487-754)"
採用案内